Commet
  • Precios
Iniciar SesiónRegistrarse
Create credit pack POSTDelete credit pack DELETEList credit packs GETPurchase credits POSTUpdate credit pack PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

List credit packs

List all active credit packs.

GET
/credit-packs

List all active credit packs.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/credit-packs"
{  "success": true,  "data": [    {      "id": "string",      "name": "string",      "description": "string",      "credits": -9007199254740991,      "price": -9007199254740991,      "currency": "string",      "isActive": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "object": "credit_pack",      "livemode": true    }  ]}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Delete credit pack DELETE

Soft-delete a credit pack.

Purchase credits POST

Purchase a credit pack for a subscription. Charges the customer and adds credits to their balance.